<?php
	$fumigacion_version="3.0 (MSSql)";
	$fumigacion_copyright="ATS Intech";
	$fumigacion_autor="Jorge Castro Castillo";
	$nil="-555";	
	$digitales = array("dumper","ventilador","valvula");
	$analogos = array("pulpa1","pulpa2","pulpa3","pulpa4","pulpa5","pulpa6","pulpa7","pulpa8","pulpa9","pulpa10","pulpa11","pulpa12","pulpa13","pulpa14","pulpa15","ambiente1","ambiente2","evaporador");
	$analogosinspector=array("tamb","tppa1","tppa2","tppa3");
	$concentraciones = array("concentracion1","concentracion2","concentracion3","concentracion4","concentracion5");

	
$efectos=array('sin evento','dumper abierto','ventilador operando','válvula inyección abierta','dumper cerrado','ventilador detenido, encienda ventilador','válvula inyección cerrada.','temperatura bajo rango minimo.','temperatura ambiente baja','temperatura evaporador baja','temperatura pulpa desconectada','temperatura ambiente desconectada','temperatura evaporador desconectada','precaucion :temperatura cercana al rango inferior','cambio de dosis','precaucion :temperatura cercana a valor de anuluacion');
$efectos_e=array('sin evento','apertura de dumper improcedente','ventilador operando','re-inyección improcedente, cierre válvula','dumper cerrado','ventilador detenido, encienda ventilador','válvula inyección cerrada.','temperatura bajo rango minimo.','temperatura ambiente baja','temperatura evaporador baja','temperatura pulpa desconectada','temperatura ambiente desconectada','temperatura evaporador desconectada','precaucion :temperatura cercana al rango inferior','cambio de dosis','precaucion :temperatura cercana a valor de anuluacion');
$efectos_w=array('sin evento','advertencia :dumper abierto','advertencia :ventilador operando','advertencia :re-inyección improcedente, cierre válvula','advertencia :dumper cerrado','advertencia :ventilador detenido, encienda ventilador','advertencia :válvula inyección cerrada.','advertencia :temperatura bajo rango minimo.','advertencia :temperatura ambiente baja','advertencia :temperatura evaporador baja','advertencia :temperatura pulpa desconectada','advertencia :temperatura ambiente desconectada','advertencia :temperatura evaporador desconectada','advertencia :precaucion :temperatura cercana al rango inferior','advertencia :cambio de dosis','advertencia :precaucion :temperatura cercana a valor de anuluacion');	
	
			

	$pendientes=array('sin evento','inicio proceso','Inicio inyección.','Fin inyección','lectura normal cada 10 min','Detener ventilador.','Ingresar concentraciones N° 1','Ingresar concentraciones N° 2','Ingresar concentraciones N° 3','Ingresar concentraciones N° 4','Ingresar concentraciones N° 5','Fin inyección','lectura normal inyección (ARCAICO)','timeout (fumigación desierta)','Requiere reinyección','Preparar fumiscopio para lectura','Temperatura cercana al valor de anulacion','No hechos.','Tiempo de fumigación finalizado','Fumigación Iniciada','inyectado adicional','Permitir abortar','Fin del Proceso de fumigación');


	$duracionsuceso=array(3,3,40,40,3,20,40,40,40,40,40,9999,3,9999,9999,50,9999,9999,9999,9999,9999,9999,9999);
	$rangos=array(0,64,64,48,48,40,40,32,32,24,24); // rangos de temperatura (puede ser modificado estos valores por lectura.php en casos especiales)

	

	
	foreach($analogos as $i){ $temperatura[$i] = $nil;}
	foreach($digitales as $i){ $digital[$i] = $nil;}
	foreach($concentraciones as $i){ $medida[$i] = $nil;}
	$peso=0;
	$m1=date("H");
	$m2=date("i");
	$m3=date("s");
	$m4=date("m");
	$m5=date("d");
	$m6=date("y");	
	$fechaactual = mktime($m1, $m2, $m3, $m4,$m5,$m6);
?>